Subject: Some combining characters don't combine (Emacs 24 regression)

From: Max Shinn <[email-masked]>
Date: Sun, 13 Apr 2014 10:49:44 -0500

Certain combining characters---such as the combining vector
arrow (0x20D7, a⃗) and the combining circle (0x20DD, a⃝)---do not
combine properly under most fonts on Emacs 24.3.1 under Debian GNU/Linux
x86_64, GTK 3.4.2.  In Emacs 23.3.1, these characters worked properly
under several fonts (for instance, Droid Sans Mono), whereas in Emacs
24, they only work properly with the FreeMono font.  The precise
behavior I am observing on Emacs 24 is where the base character and the
combining character sit side-by-side instead of superimposed on one
another.